### Method

# Ggit Branch set_upstream

#### Declaration [src]

    void
    ggit_branch_set_upstream (
      GgitBranch* branch,
      const gchar* upstream_branch_name,
      GError** error
    )

#### Description [src]

Sets the upstream branch, for a given local branch reference.

#### Parameters

`upstream_branch_name`

  Type: `const gchar*`

  Name of the upstream branch; if `NULL` unsets it.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.